Bug 882267

Summary: Warning about /etc/fonts/conf.d/50-user.conf
Product: [Fedora] Fedora Reporter: Mary Ellen Foster <mefoster>
Component: fontconfigAssignee: Akira TAGOH <tagoh>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: fonts-bugs, goeran, h.reindl, i18n-bugs, postmaster, tagoh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-18 08:47:48 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Mary Ellen Foster 2012-11-30 09:31:32 EST
Description of problem:
Running appes such as gvim under KDE results in a warning to STDERR like this:
    Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.

Version-Release number of selected component (if applicable):
fontconfig-2.10.2-1.fc18.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Run "gvim"
  
Actual results:
Warning

Expected results:
No warning

Additional info:
I don't know if it's relevant that I use KDE as a desktop environment and that this error comes up with gvim, but that's where I specifically noticed it.
Comment 1 Akira TAGOH 2012-12-02 21:48:49 EST
See the section 3.4.2. Fonts in the release notes. http://fedorapeople.org/groups/docs/release-notes/en-US/sect-Release_Notes-Changes_for_Desktop.html#idm7119376

I don't have any plans to migrate them to the new place automatically, because there may be one who share the home directory on some machines where might have older version of fontconfig.
Comment 2 Mary Ellen Foster 2012-12-03 11:28:28 EST
Maybe the second line from those release notes could be added to the warning message. So it would print something like:

Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated. Users are encouraged to move it to ~/.config/fontconfig/fonts.conf.

(That's not the greatest English in the world, but you see what I mean.)
Comment 3 Akira TAGOH 2013-01-11 01:33:23 EST
In 2.10.91, the recommended path has been commented in 50-user.conf and if old paths are a symlink to new one, fontconfig won't warn about it anymore. I think it should be enough for this issue.
Comment 4 Akira TAGOH 2013-06-24 05:37:56 EDT
*** Bug 910749 has been marked as a duplicate of this bug. ***
Comment 5 Harald Reindl 2013-07-20 08:52:16 EDT
on the users-list some minutes ago there came a post that this still 
exists in Fedora 19

[harry@srv-rhsoft:~]$ rpm -q --file /etc/fonts/conf.d/50-user.conf
fontconfig-2.10.2-2.fc18.x86_64

so you have two options

* patch out this stupid warning
* mark "/etc/fonts/conf.d/50-user.conf" as "confignoreplace" to not
  *permently* overwrite the by the enduser fixed one with any update

it's objectionable everytime you open a application from a 
terminal spit all sorts of warnings
Comment 6 Akira TAGOH 2013-10-11 03:33:58 EDT
This issue should be improved a lot in 2.11.0. I'm planning to push that for f18 and f19 later once some testing is done in f20 and rawhide. just FYI
Comment 7 Harald Reindl 2013-10-11 03:36:51 EDT
thank you!
Comment 8 Fedora End Of Life 2013-12-21 10:13:14 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Grégoire Paris 2014-01-31 13:48:08 EST
This issue is still present in Fedora 20.
Comment 10 Akira TAGOH 2014-02-02 21:21:12 EST
(In reply to Grégoire Paris from comment #9)
> This issue is still present in Fedora 20.

If it still happens, that would means you have the certain reason that fontconfig couldn't migrate the old config files to new one. e.g. you already have one in both places, the permissions messed up to create/move directories and/or files, etc.

I'm not trying to shut it up completely, but trying it reasonably.
Comment 11 Grégoire Paris 2014-02-03 04:04:50 EST
(In reply to Akira TAGOH from comment #10)
> (In reply to Grégoire Paris from comment #9)
> > This issue is still present in Fedora 20.
> 
> If it still happens, that would means you have the certain reason that
> fontconfig couldn't migrate the old config files to new one. e.g. you
> already have one in both places, the permissions messed up to create/move
> directories and/or files, etc.
> 
> I'm not trying to shut it up completely, but trying it reasonably.

I'll check both directories. Is there any way I can run/debug the migration script ?
Comment 12 Grégoire Paris 2014-02-03 04:06:56 EST
(In reply to Grégoire Paris from comment #11)
> (In reply to Akira TAGOH from comment #10)
> > (In reply to Grégoire Paris from comment #9)
> > > This issue is still present in Fedora 20.
> > 
> > If it still happens, that would means you have the certain reason that
> > fontconfig couldn't migrate the old config files to new one. e.g. you
> > already have one in both places, the permissions messed up to create/move
> > directories and/or files, etc.
> > 
> > I'm not trying to shut it up completely, but trying it reasonably.
> 
> I'll check both directories. Is there any way I can run/debug the migration
> script ?

Oh and by the way, I did not migrate fedora from 19 to 20 (I lacked the disk space to do the migration), so I installed a brand new fedora, but I kept my old /home partition. Do you think your point is still valid ?
Comment 13 Grégoire Paris 2014-02-03 17:29:57 EST
Here are the results some commands I ran :

> ls -la |grep .fonts
> drwxrwxr-x.   3 greg greg    4096  3 août   2013 .fonts
> lrwxrwxrwx.   1 greg greg      40 21 déc.  13:48 .fonts.conf -> /home/greg/.config/fontconfig/fonts.conf
> drwxrwxr-x.   2 greg greg    4096  3 août   2013 .fonts.conf.d

> ls -lR .fonts.conf
> lrwxrwxrwx. 1 greg greg 40 21 déc.  13:48 .fonts.conf -> /home/greg/.config/fontconfig/fonts.conf

> ls -lR .fonts.conf.d
> .fonts.conf.d:
> total 4
> -rw-rw-r--. 1 greg greg 1755  3 août   2013 10-powerline-symbols.conf

> ls -l ~/.config | grep fontconfig
> drwxr-xr-x. 3 greg greg   4096 21 déc.  13:48 fontconfig

> ls -lR ~/.config/fontconfig
> /home/greg/.config/fontconfig:
> total 8
> drwxr-xr-x. 2 greg greg 4096  3 août   2013 conf.d
> -rw-rw-r--. 1 greg greg  530  5 avril  2011 fonts.conf

> /home/greg/.config/fontconfig/conf.d:
> total 4
> -rw-r--r--. 1 greg greg 1755  3 août   2013 10-powerline-symbols.conf


As you can see, permissions look good, but I have a config file for powerline fonts both in ~/.fonts.conf.d and in ~/.config/fontconfig/conf.d . What do I need to do ? Remove the file in ~/.config/fontconfig/conf.d and run the migration script ? And if yes, again, how can I run the migration script ?
Comment 14 Akira TAGOH 2014-02-03 22:10:40 EST
(In reply to Grégoire Paris from comment #11)
> I'll check both directories. Is there any way I can run/debug the migration
> script ?

Well, it will happens at the runtime in fontconfig library. no scripts, but anyway.

(In reply to Grégoire Paris from comment #12)
> Oh and by the way, I did not migrate fedora from 19 to 20 (I lacked the disk
> space to do the migration), so I installed a brand new fedora, but I kept my
> old /home partition. Do you think your point is still valid ?

So, yes.

(In reply to Grégoire Paris from comment #13)
> Here are the results some commands I ran :
> 
> > ls -la |grep .fonts
> > drwxrwxr-x.   3 greg greg    4096  3 août   2013 .fonts
> > lrwxrwxrwx.   1 greg greg      40 21 déc.  13:48 .fonts.conf -> /home/greg/.config/fontconfig/fonts.conf

This is good and means the migration has been done once.

> > drwxrwxr-x.   2 greg greg    4096  3 août   2013 .fonts.conf.d

but this looks bad and the reason why you still see this warning. I guess you've restored your old configuration once the migration completed.

> > /home/greg/.config/fontconfig/conf.d:
> > total 4
> > -rw-r--r--. 1 greg greg 1755  3 août   2013 10-powerline-symbols.conf

In fact you have the same files in both new and old places.

> As you can see, permissions look good, but I have a config file for
> powerline fonts both in ~/.fonts.conf.d and in ~/.config/fontconfig/conf.d .
> What do I need to do ? Remove the file in ~/.config/fontconfig/conf.d and
> run the migration script ? And if yes, again, how can I run the migration
> script ?

So, if you want to do this automatically, you could simply remove .config/fontconfig/conf.d. or you can remove .fonts.conf.d and create a symlink to .config/fontconfig/conf.d will do the same thing.
Comment 15 Grégoire Paris 2014-02-06 13:46:12 EST
Looks like it worked :

> ls -la |grep .fonts
> drwxrwxr-x.   3 greg greg    4096  3 août   2013 .fonts
> lrwxrwxrwx.   1 greg greg      40 21 déc.  13:48 .fonts.conf -> /home/greg/.config/fontconfig/fonts.conf
> lrwxrwxrwx.   1 greg greg      36  6 févr. 19:33 .fonts.conf.d -> /home/greg/.config/fontconfig/conf.d

Many thanks!
Comment 16 Fedora End Of Life 2015-01-09 17:02:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-02-18 08:47:48 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.